Bug 35248 - connector/ldap/binddn not corrected while initial join
connector/ldap/binddn not corrected while initial join
Status: CLOSED FIXED
Product: UCS@school
Classification: Unclassified
Component: Samba 4 - Slave PDC
UCS@school 4.0
Other Linux
: P5 normal (vote)
: UCS@school 4.0 Errata
Assigned To: Arvid Requate
Stefan Gohmann
:
Depends on:
Blocks: 37820
  Show dependency treegraph
 
Reported: 2014-07-03 13:08 CEST by Tim Petersen
Modified: 2015-02-27 15:19 CET (History)
3 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tim Petersen univentionstaff 2014-07-03 13:08:22 CEST
I saw this at two systems:

Due to an incorrect (and mostly unknown) procedure while creating/joining a new school slave, the ucr variable "connector/ldap/binddn" was set to a wrong dn (standard dc container and not underneath a school ou).

Of course this leads to an authentification error at the s4-connector (auth with a wrong hostdn as binddn).


I think we should set (strict override without ?) the variable to ldap/hostdn at school slaves if its an "initial" join/rejoin.
From my point of view a "univention-join" should always restore default behaviour in such cases.
Comment 1 Tim Petersen univentionstaff 2015-01-27 16:31:12 CET
Happend at 2015012521000152 - I installed S4 at the slave before the first join - therefore the ucr variables got set and pointed to the old dn of the slave (before it gets moved to the school ou).
Comment 2 Arvid Requate univentionstaff 2015-02-18 16:07:45 CET
Fixed, changelog adjusted.
Comment 3 Stefan Gohmann univentionstaff 2015-02-19 06:55:27 CET
Code: OK

Tests: OK

Changelog: OK
Comment 4 Sönke Schwardt-Krummrich univentionstaff 2015-02-27 15:19:40 CET
UCS@school 4.0 v2 has been released:
http://docs.univention.de/release-notes-ucsschool-4.0v2-de.html

If this error occurs again, please use "Clone This Bug".